# Search Registered Models

Launch stage: GA

`GET /api/2.0/mlflow/registered-models/search`

Search for registered models based on the specified __filter__.

API scopes: mlflow

## Query parameters

- `filter` (string, optional)
  String filter condition, like "name LIKE 'my-model-name'".
   Interpreted in the backend automatically as "name LIKE '%my-model-name%'".
   Single boolean condition, with string values wrapped in single quotes.
- `max_results` (int64, optional)
  Maximum number of models desired. Default is 100. Max threshold is 1000.
  Default: `100`
  Constraints: `<= 1000`
- `order_by` (array of string, optional)
  List of columns for ordering search results, which can include model name and last updated
   timestamp with an optional "DESC" or "ASC" annotation, where "ASC" is the default.
   Tiebreaks are done by model name ASC.
- `page_token` (string, optional)
  Pagination token to go to the next page based on a previous search query.

## Returns

- `registered_models` (array of object, optional)
  Registered Models that match the search criteria.
  - `name` (string, optional)
    Unique name for the model.
  - `creation_timestamp` (int64, optional)
    Timestamp recorded when this `registered_model` was created.
  - `last_updated_timestamp` (int64, optional)
    Timestamp recorded when metadata for this `registered_model` was last updated.
  - `user_id` (string, optional)
    User that created this `registered_model`
  - `description` (string, optional)
    Description of this `registered_model`.
  - `latest_versions` (array of object, optional)
    Collection of latest model versions for each stage.
     Only contains models with current `READY` status.
    - `name` (string, optional)
      Unique name of the model
    - `version` (string, optional)
      Model's version number.
    - `creation_timestamp` (int64, optional)
      Timestamp recorded when this `model_version` was created.
    - `last_updated_timestamp` (int64, optional)
      Timestamp recorded when metadata for this `model_version` was last updated.
    - `user_id` (string, optional)
      User that created this `model_version`.
    - `current_stage` (string, optional)
      Current stage for this `model_version`.
    - `description` (string, optional)
      Description of this `model_version`.
    - `source` (string, optional)
      URI indicating the location of the source model artifacts, used when creating `model_version`
    - `run_id` (string, optional)
      MLflow run ID used when creating `model_version`, if `source` was generated by an
       experiment run stored in MLflow tracking server.
    - `status` (string, optional)
      Current status of `model_version`
      Possible values: `PENDING_REGISTRATION`, `FAILED_REGISTRATION`, `READY`
    - `status_message` (string, optional)
      Details on current `status`, if it is pending or failed.
    - `tags` (array of object, optional)
      Tags: Additional metadata key-value pairs for this `model_version`.
      - `key` (string, optional)
        The tag key.
      - `value` (string, optional)
        The tag value.
    - `run_link` (string, optional)
      Run Link: Direct link to the run that generated this version
  - `tags` (array of object, optional)
    Tags: Additional metadata key-value pairs for this `registered_model`.
    - `key` (string, optional)
      The tag key.
    - `value` (string, optional)
      The tag value.
- `next_page_token` (string, optional)
  Pagination token to request the next page of models.

## Response

```json
{
  "registered_models": [
    {
      "name": "string",
      "creation_timestamp": 0,
      "last_updated_timestamp": 0,
      "user_id": "string",
      "description": "string",
      "latest_versions": [
        {}
      ],
      "tags": [
        {}
      ]
    }
  ],
  "next_page_token": "string"
}
```

